Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Gerald
Beginner
219 Views

Unable to run any SSD on GPU

Jump to solution

Hello,
I am having trouble with executing an FP16 based SSD network on my GPU. So far, I tried it with self-trained networks as well as the face-detection-adas-0001 network but I am always getting the following error:

InferenceEngine: 00007FFE4F91B740
[ INFO ] Parsing input parameters
[ INFO ] Reading input
[ INFO ] Loading Inference Engine
[ INFO ] Device info:
        GPU
        clDNNPlugin version ......... 2.1
        Build ........... 37988
[ INFO ] Loading network files
[ INFO ] Batch size is forced to  1.
[ INFO ] Checking that the inputs are as the demo expects
[ INFO ] Checking that the outputs are as the demo expects
[ INFO ] Loading model to the device
[ WARN:0] global C:\jenkins\workspace\OpenCV\OpenVINO\2019R4\build\windows\opencv\modules\videoio\src\cap_msmf.cpp (674) SourceReaderCB::~SourceReaderCB terminating async callback
[ ERROR ] ..\inference-engine\thirdparty\clDNN\src\gpu\concatenation_gpu.cpp at line: 96
Error has occured for: concat:mbox_priorbox
Best_kernel.empty()(true) should be false
Cannot find a proper kernel with this arguments

It also doesn't work with the provided demos interactive_face_detection_demo and object_detection_demo_ssd_async.

My system specs are:
CPU & GPU: i7-5600U & HD Graphics 5500
OS: Windows 10 1909
OV: Openvino 2020.1
VS: Visual Studio 2017

And yes, the first thing after opening the console is executing the setupvars.bat. ;-)

Any ideas what is wrong?

Best Gerald

0 Kudos
1 Solution
nikos1
Valued Contributor I
219 Views

Please also note HD Graphics 5500 is in a 5th Generation Intel® Core™ i7 Processor

https://ark.intel.com/content/www/us/en/ark/products/85215/intel-core-i7-5600u-processor-4m-cache-up...

and based on https://software.intel.com/en-us/openvino-toolkit/hardware

Supported hardware: 6th to 10th generation Intel® Core™ processors and Intel®

so there may be unsupported clDNN features in your HD Graphics 5500

Cheers,

nikos

View solution in original post

5 Replies
nikos1
Valued Contributor I
219 Views

Hello Gerald,

You seem to be hitting a clDNN error, try to debug if possible

https://github.com/intel/clDNN/blob/master/src/gpu/concatenation_gpu.cpp

        CLDNN_ERROR_BOOL(arg.id(), "Best_kernel.empty()", best_kernels.empty(), "Cannot find a proper kernel with this arguments");

It may be that the HD Graphics 5500 is a bit old and not fully supported by new clDNN features. Please check if your GPU is still supported.

Also make sure you have the latest Intel graphics/OpenCL driver. What is the version of your current driver?

Cheers,

nikos

nikos1
Valued Contributor I
220 Views

Please also note HD Graphics 5500 is in a 5th Generation Intel® Core™ i7 Processor

https://ark.intel.com/content/www/us/en/ark/products/85215/intel-core-i7-5600u-processor-4m-cache-up...

and based on https://software.intel.com/en-us/openvino-toolkit/hardware

Supported hardware: 6th to 10th generation Intel® Core™ processors and Intel®

so there may be unsupported clDNN features in your HD Graphics 5500

Cheers,

nikos

View solution in original post

Gerald
Beginner
219 Views

Hi Nikos,
thanks for the quick response. 

The reason for the problem seems to be my old graphics chip, it lacks the support for FP16. But even the FP32 model doesn't run properly. 
I also compiled the clDNN library and run the unit tests but none of them executed successfully.

I guess I need a better laptop. :-)

Best Gerald

nikos1
Valued Contributor I
219 Views

Hi Gerald,

Yes, same issue here with older gen GPUs - some unit test failing...

I guess stick to 6th gen or newer as Intel recommends.

Cheers,

nikos

 

Gerald
Beginner
219 Views

Hello again,

I guess stick to 6th gen or newer as Intel recommends.

Well, it would be nice if it would be more clear in the documentation. On the GPU Plugin side, you can only read ...

clDNN is an open source performance library for Deep Learning (DL) applications intended for acceleration of Deep Learning Inference on Intel® Processor Graphics including Intel® HD Graphics and Intel® Iris® Graphics.

To mention the need for a processor of at least the 6th generation would be nice. Or an error of the plugin itself.

best, 

Gerald

Reply